VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Properties
VisiMath.QTransformation Class Reference

Transformation storing information in rotational quaternion and translation vector. No scale change allowed. More...

Inheritance diagram for VisiMath.QTransformation:

List of all members.

## Public Member Functions
override void | UpdateMatrix ()
| Updates transformation from the rotational quaternion and translation vector.
override void | GetAll (out Vector3 pos, out Quaternion rot, out Vector3 scale, out float uniscale)
| Used to quickly get all of the properties with one call.
override void | GetAll (out Vector3 pos, out Vector3 rot, out Vector3 scale, out float uniscale)
| Used to quickly get all of the properties with one call.
override void | SetCurrentState (TransformationState state)
override void | WriteXml (System.Xml.XmlWriter writer)
override void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
override string | ToString ()
override ITransformation | GetCopy ()
| Returns copy of the transformation.
## Protected Attributes
Quaternion | _q = Quaternion.Identity
| Rotation stored in the internal quaternion.
## Properties
override bool | Rotable`[get]`
| True if object supports rotation.
override Quaternion | Rotation`[get, set]`
| Rotation in quaternion.
override Vector3 | RPY`[get, set]`
| Rotation in roll-pitch-yaw format, calculated from or recalculated to internal quaternion /.

## Detailed Description

Transformation storing information in rotational quaternion and translation vector. No scale change allowed.

## Member Function Documentation

override void VisiMath.QTransformation.GetAll | ( | out Vector3 | pos,
|  | out Quaternion | rot,
|  | out Vector3 | scale,
|  | out float | uniscale
| ) |  | `[virtual]`

Used to quickly get all of the properties with one call.

Parameters:

  pos | Position vector
  rot | quaternion rotation
  scale | Scale
  uniscale | Uniform Scale

Reimplemented from VisiMath.MoveTransformation.

Reimplemented in VisiMath.Transformation.

override void VisiMath.QTransformation.GetAll | ( | out Vector3 | pos,
|  | out Vector3 | rot,
|  | out Vector3 | scale,
|  | out float | uniscale
| ) |  | `[virtual]`

Used to quickly get all of the properties with one call.

Parameters:

  pos | Position vector
  rot | RPY rotation
  scale | Scale
  uniscale | Uniform Scale

Reimplemented from VisiMath.MoveTransformation.

Reimplemented in VisiMath.Transformation.

override ITransformation VisiMath.QTransformation.GetCopy | ( |  | ) | `[virtual]`

Returns copy of the transformation.

Returns:

Reimplemented from VisiMath.MoveTransformation.

Reimplemented in VisiMath.Transformation, VisimBox.Renderer.StandardCamera, and VisimBox.Renderer.FPSCamera.

override void VisiMath.QTransformation.ReadXml | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Deserializes object from XML.

Parameters:

  reader | XML reader

Reimplemented from VisiMath.MoveTransformation.

Reimplemented in VisiMath.Transformation, VisimBox.Renderer.StandardCamera, and VisimBox.Renderer.FPSCamera.

override void VisiMath.QTransformation.SetCurrentState | ( | TransformationState | state | ) | `[virtual]`

Reimplemented from VisiMath.MoveTransformation.

Reimplemented in VisiMath.Transformation.

override string VisiMath.QTransformation.ToString | ( |  | ) |

Reimplemented from VisiMath.MoveTransformation.

Reimplemented in VisiMath.Transformation, VisimBox.Renderer.StandardCamera, and VisimBox.Renderer.FPSCamera.

override void VisiMath.QTransformation.UpdateMatrix | ( |  | ) | `[virtual]`

Updates transformation from the rotational quaternion and translation vector.

Reimplemented from VisiMath.MoveTransformation.

Reimplemented in VisiMath.Transformation, and VisimBox.Renderer.StandardCamera.

override void VisiMath.QTransformation.WriteXml | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Reimplemented from VisiMath.MoveTransformation.

Reimplemented in VisiMath.Transformation, VisimBox.Renderer.StandardCamera, and VisimBox.Renderer.FPSCamera.

## Member Data Documentation

Quaternion VisiMath.QTransformation._q = Quaternion.Identity`[protected]`

Rotation stored in the internal quaternion.

## Property Documentation

override bool VisiMath.QTransformation.Rotable`[get]`

True if object supports rotation.

Reimplemented from VisiMath.BaseTransformation.

override Quaternion VisiMath.QTransformation.Rotation`[get, set]`

Rotation in quaternion.

Reimplemented from VisiMath.MoveTransformation.

Reimplemented in VisimBox.Renderer.FPSCamera.

override Vector3 VisiMath.QTransformation.RPY`[get, set]`

Rotation in roll-pitch-yaw format, calculated from or recalculated to internal quaternion /.

Reimplemented from VisiMath.MoveTransformation.

The documentation for this class was generated from the following file:

- Transformation.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events